function sum=F13X(x)
       %%Yang2  function
        m=length(x);
        sum1=0.0;
        for i=1:m
            sum1=sum1+abs(x(i)); 
        end
        sum2=0.0;
        for i=1:m
            sum2=sum2+sin(x(i)*x(i));
        end
        sum2=-sum2;
        sum=sum1*exp(sum2);
endfunction